Pacote RPM do OpenSSH 5.2p1

Atendendo a pedidos, estou aqui disponibilizando o pacote RPM do OpenSSH 5.2p1, com o pacote RPM em mão é muito mais simples atualizar o openssh no Linux do que em cada estação ter que compilar e fazer as alterações nos arquivos de inicialização.

Posts relacionados

Baixando os RPMs e instalando

cd ~
wget http://www.virtualxp.org/downloads/openssh-5.2p1/RPMS/openssh-5.2p1-29.i386.rpm http://www.virtualxp.org/downloads/openssh-5.2p1/RPMS/openssh-clients-5.2p1-29.i386.rpm http://www.virtualxp.org/downloads/openssh-5.2p1/RPMS/openssh-server-5.2p1-29.i386.rpm

Com os RPMs no diretório local ($HOME), para instalar existem dois jeitos, um é utilizando o próprio comando rpm outro é utilizando o Yum.

Vou mostrar aqui os dois jeitos.

Instalando via rpm

rpm -iUvh openssh*rpm

Instalando via Yum

yum install --nogpgcheck openssh*rpm

A grande vantagem de utilizar o comando yum é que havendo alguma dependência ele irá satisfaze-la automagicamente, sem necessidade de baixar pacotes adicionais.

Código fonte do RPM (SRPM)

O arquivo SRPM do openssh pode ser baixo pelo link openssh-5.2p1-29.src.rpm

Arquivo SPEC

O arquivo SPEC com os detalhes para compilar com o comando rpmbuild -ba pode ser obtido diretamente pelo link openssh.spec

Para compilar com o openssh utilizando esse arquivo .spec, baixe o código fonte do openssh por aqui openssh-5.2p1.tar.gz e copie para o diretório /usr/src/redhat/SOURCES.

Depois do fonte estar no diretório, executar o comando

rpmbuid -ba openssh.spec

Gerará o .rpm binário e o rpm com o código fonte.

Já o comando

rpmbuild -bb openssh.spec

gerará apenas os binários .rpm do openssh.

Share this post

3 comments

Join the conversation
  • João B. Silva - 06/09/2009 reply

    Cara, instalei o rpm aqui usando o método do yum e funcionou que é uma beleza!

    Valeu!

  • Daniel Kühl Lima - 18/09/2009 reply

    Oi Leonardo,

    Pra instalar use o comando

    yum install –nogpgcheck openssh*rpm

    Obrigado por me apontar, vou acrescentar isso no post.

  • Gerson from Venezuela - 16/10/2010 reply

    Please

    Do you have openssl 0.9.8e

    thank

Leave a Reply Cancel